Create task - pass model version (predictions)
version models support the following "ac732df83cea7fff18b8472768c88ad041fa750ff7682a21affe81863cbe77e4": "stability-ai/stable-diffusion", "7762fd07cf82c948538e41f63f77d685e02b063e37e496e96eefd46c929f9bdc":…
POST
/replicate/v1/predictionsBody Parametersapplication/json
version string
input object
Responses
200 application/json
response-200 object
properties created_at string
Creation time
data_removed boolean
Whether sensitive data has been removed
error string nullable
Error message
id* string
Resource or task ID
input object
Input content
logs string
Run logs
model string
Model name / model ID
output string nullable
Output result
status* string
Status
urls object
List of resource URLs
version string
Version
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"version": "stability-ai/stable-diffusion:ac732df83cea7fff18b8472768c88ad041fa750ff7682a21affe81863cbe77e4",
3"input": {
4"width": 768,
5"height": 768,
6"prompt": "an astronaut riding a horse on mars, hd, dramatic lighting",
7"scheduler": "K_EULER",
8"num_outputs": 1,
9"guidance_scale": 7.5,
10"num_inference_steps": 50
11}
12}
1curl -X POST "https://api.digislash.com/replicate/v1/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"version": "stability-ai/stable-diffusion:ac732df83cea7fff18b8472768c88ad041fa750ff7682a21affe81863cbe77e4",
6"input": {
7"width": 768,
8"height": 768,
9"prompt": "an astronaut riding a horse on mars, hd, dramatic lighting",
10"scheduler": "K_EULER",
11"num_outputs": 1,
12"guidance_scale": 7.5,
13"num_inference_steps": 50
14}
15}'
1▼{
2"created": 1589478378,
3▼"data": [
4▶{ 1 keys },
5▶{ 1 keys }
6]
7}
